Skip to main content
`Ctrl`+`K`

# EPSCISSExtraction

The extraction technique used in the `EPSCISS` solver.

## Synopsis

    typedef enum { EPS_CISS_EXTRACTION_RITZ,
                   EPS_CISS_EXTRACTION_HANKEL } EPSCISSExtraction;

## Values

- `EPS_CISS_EXTRACTION_RITZ` - Ritz approximations from Rayleigh-Ritz projection

- `EPS_CISS_EXTRACTION_HANKEL` - use Hankel pencil as in the original Sakurai-Sugiura method

## Note

For a detailed description see [Maeda et al., 2016].

## References

[Mae16]

Y. Maeda, T. Sakurai, and J. E. Roman. Contour integral spectrum slicing method in SLEPc. Technical Report STR-11, Universitat Politècnica de València, 2016. URL: https://slepc.upv.es/documentation.

## See Also

EPS: Eigenvalue Problem Solver, `EPSCISSSetExtraction()`, `EPSCISSGetExtraction()`

## Level

advanced

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages